Am i able to play Manhunt

Discussion in 'Wii - Hacking' started by Chronics, Oct 31, 2007.

Oct 31, 2007

Am i able to play Manhunt by Chronics at 11:58 PM (970 Views / 0 Likes) 7 replies

  1. Chronics
    OP

    Newcomer Chronics Advanced Member

    Joined:
    Apr 17, 2007
    Messages:
    93
    Country:
    United States
    hey, im wondeing if im able to play manhunt on my wii, im currently still on 2.2U and 1.2 wiikey..does it require to update or can i just play? and how about DDR? ty in advance
     
  2. Hooya

    Member Hooya GBAtemp Advanced Maniac

    Joined:
    Aug 25, 2006
    Messages:
    1,878
    Location:
    Central Illinois
    Country:
    United States
    Why not update your console? They're not going to find a firmware exploit on your machine at some point since almost nobody still has old firmwares. You're in the USA, so the firmware update will be totally safe. The WiiKey version shouldn't matter at all for Manhunt at all.

    Just pop it in, let it run an update if it wants, and play.
     
  3. bullet2urbrain

    Newcomer bullet2urbrain Member

    Joined:
    Sep 19, 2007
    Messages:
    18
    Country:
    United States

    Curious, is this applicable to all modchips.

    I have a Chiips that i made up meself...with the latest version flashed onto the chip.. and whatever firmware is current, can play things no problem except Metroid Prime,

    What do you think something newer still ie Manhunt2, SMG would do??? anything nothing?

    Thanks in Advance
     
  4. ledav007

    Newcomer ledav007 Member

    Joined:
    Jul 18, 2007
    Messages:
    21
    Country:
    United States
    Well if you play only games of your own region you don't have any danger with them.

    What chip you use has nothing to do with the brick problem.

    So if you are using a US Wii any US game is safe for you. They might just NOT work, but won't damage your console.

    If you have an old firmware they might update your Wii that's all.
     
  5. ziddey

    Member ziddey GBAtemp Advanced Fan

    Joined:
    Jun 23, 2007
    Messages:
    542
    Country:
    United States
    I too have been running original 2.2u that came with my wii and wiikey 1.0 (I believe that's the actual firmware version. the config disc hit 1.2).

    Just the other day, I upgraded to 1.9b and then 3.1u. It went straight there. No 3.0 interim.

    FWIW, if you do intend to update to 3.1, it'd probably be a good idea to update to 1.9b beforehand. Otherwise, things get more difficult when the actual update comes out
     
  6. student69

    Newcomer student69 Member

    Joined:
    Nov 15, 2006
    Messages:
    22
    Country:
    Canada
    I was running Wiikey 1.0 with all the Wii NTSC-US updates and had no problems. I just upgraded my Wiikey to 1.9G and I still have no problems + I can play SMG [​IMG]
     
  7. Chronics
    OP

    Newcomer Chronics Advanced Member

    Joined:
    Apr 17, 2007
    Messages:
    93
    Country:
    United States
    FWIW, if you do intend to update to 3.1, it'd probably be a good idea to update to 1.9b beforehand. Otherwise, things get more difficult when the actual update comes out
     
  8. maddk

    Newcomer maddk Advanced Member

    Joined:
    Oct 29, 2007
    Messages:
    71
    Country:
    Brazil
    If its your region than yes, I have already.
     

Share This Page